org.apache.fop.render.intermediate

## Class IFContentHandler

- java.lang.Object
- - org.apache.fop.render.intermediate.IFContentHandler

All Implemented Interfaces:
  ContentHandler

    public class IFContentHandler
    extends Object
    implements ContentHandler

intermediate format content handler

### Constructor Summary

Constructors
Constructor and Description
`IFContentHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `characters(char[] arg0, int arg1, int arg2)`
`void` `endDocument()`
`void` `endElement(String arg0, String arg1, String arg2)`
`void` `endPrefixMapping(String arg0)`
`void` `ignorableWhitespace(char[] arg0, int arg1, int arg2)`
`void` `processingInstruction(String arg0, String arg1)`
`void` `setDocumentLocator(Locator arg0)`
`void` `skippedEntity(String arg0)`
`void` `startDocument()`
`void` `startElement(String arg0, String arg1, String arg2, Attributes arg3)`
`void` `startPrefixMapping(String arg0, String arg1)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IFContentHandler

    public IFContentHandler()

### Method Detail

#### characters

    public void characters(char[] arg0,
                           int arg1,
                           int arg2)
                    throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Throws:
  `SAXException`

#### endDocument

    public void endDocument()
                     throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Throws:
  `SAXException`

#### endElement

    public void endElement(String arg0,
                           String arg1,
                           String arg2)
                    throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Throws:
  `SAXException`

#### endPrefixMapping

    public void endPrefixMapping(String arg0)
                          throws SAXException

Specified by:
  `endPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

#### ignorableWhitespace

    public void ignorableWhitespace(char[] arg0,
                                    int arg1,
                                    int arg2)
                             throws SAXException

Specified by:
  `ignorableWhitespace` in interface `ContentHandler`
Throws:
  `SAXException`

#### processingInstruction

    public void processingInstruction(String arg0,
                                      String arg1)
                               throws SAXException

Specified by:
  `processingInstruction` in interface `ContentHandler`
Throws:
  `SAXException`

#### setDocumentLocator

    public void setDocumentLocator(Locator arg0)

Specified by:
  `setDocumentLocator` in interface `ContentHandler`

#### skippedEntity

    public void skippedEntity(String arg0)
                       throws SAXException

Specified by:
  `skippedEntity` in interface `ContentHandler`
Throws:
  `SAXException`

#### startDocument

    public void startDocument()
                       throws SAXException

Specified by:
  `startDocument` in interface `ContentHandler`
Throws:
  `SAXException`

#### startElement

    public void startElement(String arg0,
                             String arg1,
                             String arg2,
                             Attributes arg3)
                      throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Throws:
  `SAXException`

#### startPrefixMapping

    public void startPrefixMapping(String arg0,
                                   String arg1)
                            throws SAXException

Specified by:
  `startPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`